Get open projects news

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/news

Returns the latest news and activity feed from all projects the user has access to.

Query parameters

  • project_id string(uuid)

    Filter news by specific project

  • before string(date)

    Filter news before this date

  • after string(date)

    Filter news after this date

  • page integer

    Page number for pagination

    Default value is 1.

  • limit integer

    Number of news items per page

    Default value is 50.

  • person_id string(uuid)

    Filter news by specific team member

  • task_type_id string(uuid)

    Filter news by task type

  • task_status_id string(uuid)

    Filter news by task status

  • episode_id string(uuid)

    Filter news by specific episode

  • only_preview boolean

    Show only news related to preview uploads

    Default value is false.

Responses

  • 200 application/json

    News feed successfully retrieved

    Hide response attributes Show response attributes object
    • data array[object]

      Array of news items

    • stats object

      News statistics

    • total integer

      Total number of news items

GET /data/projects/news
curl -X GET "http://api.example.com/data/projects/news?project_id=a24a6ea4-ce75-4665-a070-57453082c25&before=2022-07-12&after=2022-07-12&page=1&limit=50&person_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25&only_preview=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/news"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "before": "2022-07-12",
    "after": "2022-07-12",
    "page": 1,
    "limit": 50,
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "episode_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "only_preview": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/news' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": [
    {}
  ],
  "stats": {},
  "total": 42
}